--- /dev/null
+Return-Path: <david@tethera.net>\r
+X-Original-To: notmuch@notmuchmail.org\r
+Delivered-To: notmuch@notmuchmail.org\r
+Received: from localhost (localhost [127.0.0.1])\r
+ by olra.theworths.org (Postfix) with ESMTP id D1900431FC0\r
+ for <notmuch@notmuchmail.org>; Wed, 1 Jan 2014 07:58:25 -0800 (PST)\r
+X-Virus-Scanned: Debian amavisd-new at olra.theworths.org\r
+X-Spam-Flag: NO\r
+X-Spam-Score: 0\r
+X-Spam-Level: \r
+X-Spam-Status: No, score=0 tagged_above=-999 required=5 tests=[none]\r
+ autolearn=disabled\r
+Received: from olra.theworths.org ([127.0.0.1])\r
+ by localhost (olra.theworths.org [127.0.0.1]) (amavisd-new, port 10024)\r
+ with ESMTP id TDYeAqmK1h5h for <notmuch@notmuchmail.org>;\r
+ Wed, 1 Jan 2014 07:58:19 -0800 (PST)\r
+Received: from yantan.tethera.net (yantan.tethera.net [199.188.72.155])\r
+ (using TLSv1 with cipher DHE-RSA-AES128-SHA (128/128 bits))\r
+ (No client certificate requested)\r
+ by olra.theworths.org (Postfix) with ESMTPS id 52357431FAF\r
+ for <notmuch@notmuchmail.org>; Wed, 1 Jan 2014 07:58:19 -0800 (PST)\r
+Received: from remotemail by yantan.tethera.net with local (Exim 4.80)\r
+ (envelope-from <david@tethera.net>)\r
+ id 1VyOBT-00029y-Ol; Wed, 01 Jan 2014 11:58:15 -0400\r
+Received: (nullmailer pid 15508 invoked by uid 1000); Wed, 01 Jan 2014\r
+ 15:58:11 -0000\r
+From: David Bremner <david@tethera.net>\r
+To: notmuch@notmuchmail.org\r
+Subject: Re: [PATCH 1/2] test: delay watchdog checks in emacs.\r
+In-Reply-To: <1359501973-27671-2-git-send-email-david@tethera.net>\r
+References: <1359501973-27671-1-git-send-email-david@tethera.net>\r
+ <1359501973-27671-2-git-send-email-david@tethera.net>\r
+User-Agent: Notmuch/0.17 (http://notmuchmail.org) Emacs/24.3.1\r
+ (x86_64-pc-linux-gnu)\r
+Date: Wed, 01 Jan 2014 11:58:11 -0400\r
+Message-ID: <87a9ffofsc.fsf@zancas.localnet>\r
+MIME-Version: 1.0\r
+Content-Type: text/plain\r
+X-BeenThere: notmuch@notmuchmail.org\r
+X-Mailman-Version: 2.1.13\r
+Precedence: list\r
+List-Id: "Use and development of the notmuch mail system."\r
+ <notmuch.notmuchmail.org>\r
+List-Unsubscribe: <http://notmuchmail.org/mailman/options/notmuch>,\r
+ <mailto:notmuch-request@notmuchmail.org?subject=unsubscribe>\r
+List-Archive: <http://notmuchmail.org/pipermail/notmuch>\r
+List-Post: <mailto:notmuch@notmuchmail.org>\r
+List-Help: <mailto:notmuch-request@notmuchmail.org?subject=help>\r
+List-Subscribe: <http://notmuchmail.org/mailman/listinfo/notmuch>,\r
+ <mailto:notmuch-request@notmuchmail.org?subject=subscribe>\r
+X-List-Received-Date: Wed, 01 Jan 2014 15:58:26 -0000\r
+\r
+david@tethera.net writes:\r
+\r
+> From: David Bremner <bremner@debian.org>\r
+>\r
+> Instead of checking immediately for the watched process, delay a\r
+> minute, or in the case that process-attributes returns nil, for two\r
+> minutes. This is intended to cope with the case that\r
+> process-attributes is unimplimented, and returns always returns nil.\r
+> In this case, the watchdog check is the same as the two minute limit\r
+> imposed by timeout.\r
+> ---\r
+\r
+It seems there are still lingering problems with this.\r
+\r
+On a Debian Hurd system, the following consistently dies after running\r
+for two minutes. It seems like our test harness can't cope with the\r
+emacs server dying as well as it ought to. I'm not sure what the right\r
+answer is. A crude workaround would be to increase the hardcoded\r
+timeout. Alternatively, maybe test_emacs should make some effort to\r
+restart the server if it is no longer running.\r
+\r
+#!/usr/bin/env bash\r
+test_description="emacs fcc"\r
+. ./test-lib.sh\r
+\r
+for ((count=1; count<=1000; count++)); do\r
+ id=fub.$count\r
+ subject=meh\r
+ echo attempting $count\r
+ emacs_fcc_message \\r
+ "$subject" \\r
+ 'This is a test message with inline attachment with a filename' \\r
+ "(mml-attach-file \"$TEST_DIRECTORY/README\" nil nil \"inline\")\r
+ (message-goto-eoh)\r
+ (insert \"Message-ID: <$id>\n\")"\r
+ delivered=$(find $MAIL_DIR/sent -type f | wc -l)\r
+ if [[ $delivered != $count ]]; then\r
+ GIT_EXIT_OK=1\r
+ echo FATAL: $count attempted $delivered delivered\r
+ exit 1;\r
+ fi\r
+done\r
+\r
+test_done\r
+\r
+\r